当前位置:七道奇文章资讯系统安全Linux安全
日期:2012-05-05 23:54:00  来源:本站整理

办理Ubuntu 9.10安装PostgreSQL 8.4不能启动问题[Linux安全]

赞助商链接



  本文“办理Ubuntu 9.10安装PostgreSQL 8.4不能启动问题[Linux安全]”是由七道奇为您精心收集,来源于网络转载,文章版权归文章作者所有,本站不对其观点以及内容做任何评价,请读者自行判断,以下是其具体内容:

  本日想在Ubuntu 9.10安装PostgreSQL 8.4学习下,履行完下面号令

  linuxidc@pentest:~$ sudo apt-get install postgresql-8.4 postgresql-client-8.4 postgresql-contrib-8.4

  返回以下:

  update-alternatives: 利用 /usr/share/postgresql/8.4/man/man1/postmaster.1.gz 来供应 /usr/share/man/man1/postmaster.1.gz (postmaster.1.gz),于 自动情势 中.

  * Starting PostgreSQL 8.4 database server * The PostgreSQL server failed to start. Please check the log output:

  2010-01-25 00:03:24 CST FATAL: could not create shared memory segment: ?????

  2010-01-25 00:03:24 CST DETAIL: Failed system call was shmget(key=5433001, size=36880384, 03600).

  2010-01-25 00:03:24 CST HINT: This error usually means that PostgreSQL’s request for a shared memory segment exceeded your kernel’s SHMMAX parameter. You can either reduce the request size or reconfigure the kernel with larger SHMMAX. To reduce the request size (currently 36880384 bytes), reduce PostgreSQL’s shared_buffers parameter (currently 4096) and/or its max_connections parameter (currently 103).

  If the request size is already small, it’s possible that it is less than your kernel’s SHMMIN parameter, in which case raising the request size or reconfiguring SHMMIN is called for.

  The PostgreSQL documentation contains more information about shared memory configuration.

  [fail]

  invoke-rc.d: initscript postgresql-8.4, action “start” failed.

  dpkg:处理 postgresql-8.4 (–configure)时出错:

  子进程 已安装的 post-installation 脚本 返回了错误号 1

  dpkg:依靠关系问题使得 postgresql-contrib-8.4 的配置工作不能持续:

  postgresql-contrib-8.4 依靠于 postgresql-8.4;但是:

  软件包 postgresql-8.4 还没有被配置.

  dpkg:处理 postgresql-contrib-8.4 (–configure)时出错:

  依靠关系问题 – 仍未被配置

  没有写入 apport 报告,因为错误信息指导它是从上一个失利招致的.

  在处理时有错误发生:

  postgresql-8.4

  postgresql-contrib-8.4

  E: Sub-process /usr/bin/dpkg returned an error code (1)

  办理办法很简单:

  linuxidc@pentest:~$ sudo sysctl -w kernel.shmmax=2147483648

  kernel.shmmax = 2147483648

  linuxidc@pentest:~$ sysctl -a |grep shmmax

  error: permission denied on key ‘kernel.cad_pid’

  kernel.shmmax = 2147483648

  error: permission denied on key ‘fs.binfmt_misc.register’

  error: permission denied on key ‘net.ipv4.route.flush’

  error: permission denied on key ‘net.ipv6.route.flush’

  linuxidc@pentest:~$ sudo /etc/init.d/postgresql-8.4 start

  * Starting PostgreSQL 8.4 database server [ OK ]

  以上是“办理Ubuntu 9.10安装PostgreSQL 8.4不能启动问题[Linux安全]”的内容,如果你对以上该文章内容感兴趣,你可以看看七道奇为您推荐以下文章:
  • 办理Ubuntu 7.10启动慢的问题
  • 办理Ubuntu 9.10安装PostgreSQL 8.4不能启动问题
  • 办理Ubuntu 10.04 Firefox3.6 Java浏览器插件不工作的问
  • 办理Ubuntu安装Cairo-Dock后Skype视频无法显示的问题
  • 办理Ubuntu Server SNMP无法远程拜候问题
  • 办理Ubuntu中sudoers崩溃而无root权限的问题
  • 办理Ubuntu的乱码问题
  • 办理Ubuntu下文本文档汉字乱码
  • xrandr号令办理Ubuntu投影仪问题
  • 办理Ubuntu 10.04上网速度慢的问题
  • 办理Ubuntu浏览网页速度慢的问题
  • 办理Ubuntu 11.04衔接Wifi速度慢的问题
  • 本文地址: 与您的QQ/BBS好友分享!
    • 好的评价 如果您觉得此文章好,就请您
        0%(0)
    • 差的评价 如果您觉得此文章差,就请您
        0%(0)

    文章评论评论内容只代表网友观点,与本站立场无关!

       评论摘要(共 0 条,得分 0 分,平均 0 分) 查看完整评论
    Copyright © 2020-2021 www.233122.com. All Rights Reserved .